--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: append_args
- !ruby/object:RI::MethodSummary 
  name: escape_for_iri
- !ruby/object:RI::MethodSummary 
  name: identifier_scheme
- !ruby/object:RI::MethodSummary 
  name: iri_to_uri
- !ruby/object:RI::MethodSummary 
  name: to_iri_normal
- !ruby/object:RI::MethodSummary 
  name: to_uri_normal
- !ruby/object:RI::MethodSummary 
  name: urlencode
comment: 
constants: []

full_name: XRI
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: make_xri
- !ruby/object:RI::MethodSummary 
  name: provider_is_authoritative
- !ruby/object:RI::MethodSummary 
  name: root_authority
name: XRI
superclass: 
